$c-topbar__form--element-height: 30px;
$c-topbar__form--element-transform-range: 62px;


.c-topbar__form {
  background: $white;
  border-bottom: 1px solid #e7e9ea; //Exisdts only at son dakika
  padding: 15px 10px;
  position: absolute;
  // top: 0;
  width: 100%;

  [type='submit'] {
    color: $medium-gray-2;
    order: -1;
    padding: 2px 3px 0;
  }

  [type='reset'] {
    @extend %fontello;
    @extend .icon-cancel;
    color: $primary-color;
  }

  & > form {
    background-color: $lightest-gray;
    border-radius: $global-radius;
    display: flex;
    justify-content: flex-start;
  }

  & input,
  & select {
    box-sizing: border-box;
    height: $c-topbar__form--element-height;
    margin: 0;
    padding: 0;
  }

  // & > select {
  //   // font-family: $input-font-family;
  //   // font-size: $input-font-size;
  //   // height: 30px;
  //   // margin: 0;
  //   // padding-bottom: 0;
  //   // padding-top: 0;
  // }

  button {
    @include font-size(18);
    // color: $medium-gray-2;
    // flex-grow: 0;
    // height: 20px;
    // padding: 3px;
    // @include vertical-align(absolute);
  }

  // button {
  //   // right: 5px;
  //   // color: $primary-color;
  //   // background: none;
  // }

  &--search,
  &--filter {
    position: fixed;
    @extend %h-transtion-transform-only-quick;
    @extend %z-l-app__canvas--fixed;
    top: - $c-topbar__form--element-transform-range;
    transform: translate3d(0, 0, 0);

    &.-is-visible {
      @extend %h-transtion-transform-only-moderate;
      transform: translate3d(0, $c-topbar__form--element-transform-range, 0);
    }
  }
}
